creating a new linetype

Hi all....
I need a new linetype, but can't seem to create what I want. Can I ask for help here?
this linetype will always be used as an arc.
it needs to have a dot with a space on each side. It needs to have a dot and 2 spaces in the center whether it is 2' or 20' long
__________________ . ___________________
or
________ . ________
can you help?
Thanks, jojo Autocad 2000
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
Nope. Linetypes don't work that way in AutoCAD; they are periodic (repeating) in nature. ___

Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload

hmm...any work around you can think of? Thanks, jojo
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
I would have thought to draw the arc, either two separate arcs or one and some trim lines, and put a point in later. Set the point type to the dot, or use a very short dash.
You could have the trim lines as a block for insertion from design center.
Good Luck
John

Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload

or
but one drawing may have hundreds of these arcs. seems pretty labor intensive.
jojo
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
You could probably write a script to do this, or a macro? but that is beyond me.
Another possibility is to draw the arc, then change its length, method depends on wether you have the line length button, which in turn depends on which version of AutoCAD. But linetypes definately dont do this!
John

Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
If the arcs have the same sweep, you could make a block out of 3 segments......
--


MichaelB
www.michaelbulatovich.ca
  Click to see the full signature.
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload

they don't.
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
jojo wrote:

YOU CAN ALWAYS ASK.

Man, I hate labor intensive, repetitious tasks.
This looks like it might be a nifty application for lsp. Can you give more detail about the geometry? For example, is it always the same angle, or is there anything repetitive about the nature of the art?
If we can define more specifically the nature of the repetition, then we should be able to write a program.
YOU CAN ALWAYS ASK.
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload

This is for mep plans. It is simply an arc from the switch to the light.
http://photos.yahoo.com/cgv_2000 look in the folder labeled linetype.
on the left you see what we have now, on the right you see what the boss wants. The space dot space will be constant, the length of line on each side varies.
Thanks for looking, jojo
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
Have you considered using the linetype scale in the properties box?
1. Create the linetype 2. Draw an arc (I use the "start - end" one) 3. Select arc and click the "properties" icon 4. Change the linetype scale value until it looks correct.
Just my thoughts.
Janice
jojo wrote:

Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
Janice G wrote:

good thoughts. I had never set the LTS for an individual entity. how about this.
you could use the linetype suggested, or create one so you had more control over it's parameters, and run a lisp routine that calculates what the LTS should be, and then modifies the arc.
seems more eloquent.
HMMM?
I'm going to bed. :)
But where do I find the properties box? The only way I found was command line CHANGE PROPERTIES ltScale ..............
( see, told you I had never set the LTS for an individual entity. )
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
That'll work, but if you have a lot of them......
--


MichaelB
www.michaelbulatovich.ca
  Click to see the full signature.
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
jojo wrote:

OK
I think that I understand what you want. Presently, your drawing an arc, probably a three-point arc. You want the arc length to the constant regardless of the radius of the arc. You want a single space, and a dot centered in the space.
I work in release 2000. If there is a more direct approach in a later version I wouldn't know about it. You could define a line type that would give you your desired look at a particular scale. For a particular arc. I don't think that you can apply different line type scales to selected arcs. If I am wrong about that, then you don't need to read any further.
I can think of only one way to achieve the look you desire. You need three entities. Too short arcs and a dot in the center. That is not the line type approach, but would look the same on the paper.
THE HARD WAY. Keep all of this wiring in a single layer. You draw without regard to how you want it to look in the end. Don't put anything else in this wiring layer. Then, right before you plot, you could run a lisp routine that would select every arc entity in your wire layer and create from this the three desired entities that you want to see.
(setq it (entget (car (entsel))))
Create an arc segment and type that on the command line. Then check out what shows on the screen. The DXF code shows. All that AutoCAD records that we get to work with is the center of the circle, the radius, and the angle to the endpoints. These points could be used as the first endpoint of the first arc and the second endpoint of the second arc. Then you could calculate the second in point of the first arc and the first in point of the second arc. The entmake command could then be used to create two arc segments. Similarly, calculate the point location of the dot and create it.
The new segments created could be put in a layer of their own, which does plot. Have the original wiring layer in a layer which does not plot. The hassle factor will be editing. Lots of times when I'm wiring I like to highlight the arc's grips and stretch it to where I want to be. When you break it up into three entities, you lose that ease of editing.
THE HARD WAY, PART TWO. Another approach would be to have some region entities hide parts of the arc. Masking. In a similar manner to the procedure first described. You could select all of the wiring in a particularlayer and create said masking entities globally. With basically the same information. It comes down to how you like to organize your database.
Am I the only one who now believes I'm anal retentive?
( Hi Michael. Long time, no type. Been having hardware issues and spending NO TIME on the boards. )
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload

Am I missing something here? IE: What the boss wants? Why the hell would someone need/want to reinvent a/the wheel for? Did the 'boss' just off the tater wagon and land on his head or has he money to blow? I'm not sayin I've never went off in search of a left handed monkey wrench before.........but..........? Aw shucks, I read this one in Dilbert with the pointy haired boss...........har har har, I got it! ;-)
Dan

Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
Hiya,
Load the :ACAD_ISO04W100,ISO long-dash dot ____ . ____ . ____ . ____ . _ A,24,-3,.5,-3
draw the arc with the loaded line
Regards
R
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
That won't do what the guy wants.

Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
If the linetype scale in changed intil the desired effect yes it will i tried it with an drawn arc.
No offence
R
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
That will work.

Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload

Polytechforum.com is a website by engineers for engineers. It is not affiliated with any of manufacturers or vendors discussed here. All logos and trade names are the property of their respective owners.